Bug 42666 - code & docs corrections for FollowSymLinks and SymLinksIfOwnerMatch
Summary: code & docs corrections for FollowSymLinks and SymLinksIfOwnerMatch
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.4
Hardware: All All
: P2 normal with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
: 43774 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-06-14 12:54 UTC by Allen
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allen 2007-06-14 12:54:24 UTC
As implemented in the current version of httpd, FollowSymLinks overrides
SymLinksIfOwnerMatch.  This is not clear in the documentation and server error
msgs.  The corrections are listed at
http://mail-archives.apache.org/mod_mbox/httpd-dev/200706.mbox/%3c005501c7ad6b$39b81620$660aa8c0@apt23%3e
Comment 1 Takashi Sato 2007-12-03 20:31:11 UTC
*** Bug 43774 has been marked as a duplicate of this bug. ***
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:24 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.